db_backend_mysql Struct Reference

## Data Fields

MYSQL * | db
int | transaction
unsigned int | timeout
const char * | db_host
const char * | db_user
const char * | db_pass
const char * | db_name
int | db_port

## Detailed Description

The MySQL database backend specific data.

Definition at line 60 of file db_backend_mysql.c.

## Field Documentation

## db

MYSQL* db_backend_mysql::db

Definition at line 61 of file db_backend_mysql.c.

## db_host

const char* db_backend_mysql::db_host

Definition at line 64 of file db_backend_mysql.c.

## db_name

const char* db_backend_mysql::db_name

Definition at line 67 of file db_backend_mysql.c.

## db_pass

const char* db_backend_mysql::db_pass

Definition at line 66 of file db_backend_mysql.c.

## db_port

int db_backend_mysql::db_port

Definition at line 68 of file db_backend_mysql.c.

## db_user

const char* db_backend_mysql::db_user

Definition at line 65 of file db_backend_mysql.c.

## timeout

unsigned int db_backend_mysql::timeout

Definition at line 63 of file db_backend_mysql.c.

## transaction

int db_backend_mysql::transaction

Definition at line 62 of file db_backend_mysql.c.

The documentation for this struct was generated from the following file:

- src/db/db_backend_mysql.c